package com.openhis.yb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.openhis.yb.domain.InfoPerson;

/**
 * @Description: 人员基础信息
 * @Author: jeecg-boot
 * @Date: 2021-08-27
 * @Version: V1.0
 */
public interface IPerinfoService extends IService<InfoPerson> {

    InfoPerson getPerInfoByIdCard(String idCard, Integer tenantId);

    InfoPerson getByPsnNo(String psnNo);

    /**
     * 是否异地就医(省内异地)
     * 
     * @param psnNo 人员编号
     * @param admVs 就异地统筹区号
     * @return
     */
    boolean assessIntraCrossRegionalSettlement(String psnNo, String admVs);

    /**
     * 是否异地就医（省外异地）
     * 
     * @param psnNo 人员编号
     * @param admVs 就异地统筹区号
     * @return
     */
    boolean assessInterCrossRegionalSettlement(String psnNo, String admVs);

    /**
     * 是否异地就医
     * 
     * @param psnNo 人员编号
     * @param admVs 就异地统筹区号
     * @return
     */
    boolean assessCrossRegionalSettlement(String psnNo, String admVs);
}
